ServerEvents.recipes(e=> {
    
   //末影锭
   e.remove({ output: 'extendedcrafting:ender_ingot'})
   let l = 5;
   let ei = 'extendedcrafting:ender_ingot'
   let ii = 'minecraft:iron_ingot'
   let ed = '#forge:dusts/ender'
   e.recipes.createSequencedAssembly([
     Item.of(1 + 'x ' + ei).withChance(82.0),
     Item.of(l + 'x ' + ii).withChance(3.0),
   ], ii, [
    e.recipes.createDeploying(ii, [ii, ii]),
     e.recipes.createPressing(ii, ii).processingTime(30),
     e.recipes.createDeploying(ii, [ii, ed]),
     e.recipes.createCutting(ii, ii).processingTime(50),
     e.recipes.createDeploying(ii, [ii, ed]),
   ]).transitionalItem(ii).loops(l)

   //末影锭
   e.remove({ output: 'extendedcrafting:frame',type: 'minecraft:crafting_shaped'})
    e.shapeless('extendedcrafting:frame', 
    [ 
      '#industrialforegoing:machine_frame/supreme',
    ])
    
    
    
    
})